Bug 1659785 - [RFE] Build dovecot with libsodium support
Summary: [RFE] Build dovecot with libsodium support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 12:30 UTC by Christopher Engelhard
Modified: 2019-07-12 06:15 UTC (History)
7 users (show)

Fixed In Version: dovecot-2.3.6-3.fc30 dovecot-2.3.6-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:53:36 UTC


Attachments (Terms of Use)

Description Christopher Engelhard 2018-12-16 12:30:30 UTC
Since v2.3.0, dovecot has supported the argon2 password hash via libsodium, yet the packaged version does not. That is due to dovecot automatically building with or without libsodium depending on whether or not the library is installed.

Given that both libsodium and argon2 have been in the Fedora repositories since 2017, is there a reason not to support this in dovecot?

The only change needed would be to add 'BuildRequires: libsodium-devel' to the specfile. Tested on fc29.

Comment 1 Christopher Engelhard 2019-01-08 21:24:27 UTC
Alternatively, if argon2 support is for some reason not desired, one should probably explicitly disable libsodium support during compilation. Otherwise, if the system the package is built on happens to have libsodium headers installed, support for it will be automatically compiled in. The resulting package is thus different depending on what is or isn't installed on the build machine ...

Comment 2 Dominik 'Rathann' Mierzejewski 2019-04-08 08:50:42 UTC
It looks like this is implemented in 2.3.5-1.fc29 (https://bodhi.fedoraproject.org/updates/FEDORA-2019-6667c9c480), but there's no mention in the release notes.

Comment 3 Fedora Update System 2019-06-03 08:08:57 UTC
FEDORA-2019-1b61a528dd has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b61a528dd

Comment 4 Fedora Update System 2019-06-03 08:08:57 UTC
FEDORA-2019-9e004decea has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9e004decea

Comment 5 Fedora Update System 2019-06-04 01:17:00 UTC
dovecot-2.3.6-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9e004decea

Comment 6 Fedora Update System 2019-06-04 03:27:30 UTC
dovecot-2.3.6-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b61a528dd

Comment 7 Fedora Update System 2019-06-14 00:53:36 UTC
dovecot-2.3.6-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-07-12 06:15:37 UTC
dovecot-2.3.6-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.